%define name JDownloader
%define version 0.9581
%define release %mkrel 2

Summary: jDownloader - Best downloader for Rapidshare and other file shares 
Summary(sr): jDownloader - Најбољи преузимач докумената са Rapidshare-а и других сервера 
Name:	%{name}
Version: %{version}
Release: %{release}
URL:	http://jdownloader.org
Group:	Networking/Other
License: LGPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0: JDownloader.tar.xz
Source1: jd.sh
Source2: JDownloader.png
Requires: java >= 1.6
BuildArch: noarch

%description
JDownloader is open source, platform independent and written completely in Java.
It simplifies downloading files from One-Click-Hosters like Rapidshare.com or
Megaupload.com - not only for users with a premium account but also for users
who don't pay. It offers downloading in multiple paralell streams, captcha
recognition, automatical file extraction and much more. Of course, JDownloader
is absolutely free of charge. Additionally, many "link encryption" sites are
supported - so you just paste the "encrypted" links and JD does the rest.
JDownloader can import CCF, RSDF and the new DLC files.


%description -l de
JDownloader: In Java geschriebenes Tool zum einfacheren Herunterladen von
Dateien, die sich auf sogenannten One-Click-Hostern wie Rapidshare.com oder
Megaupload.com befinden; bietet unter anderem Funktionen wie Multistream-Downloads
oder Bilderkennung und entpackt Archive automatisch nach dem Download; importiert
zudem die Formate CCF, RSDF und DLC

%description -l sr
JDownloader је програм отвореног кода, платформски независтан и комплетно писан
у Java окружењу. Олакшава преузимање докумената са сервиса као што је 
Rapidshare.com или Megaupload.com - не само за кориснике који имају плаћен
налог, већ и за кориснике који не плаћају. Омогућава паралелно преузимање
више докумената, captcha препознавање, аутоматско одпакивање и још много
тога. Наравно, JDownloader је потпуно бесплатан. Додатно, и многи "кодирани
линкови" су подржани - само убаците "кодиране" линкове и ЈД одрађује
остало. JDownloader може увозити CCF, RSDF и нове DLC документе.

%description -l fr
JDownloader est open source, plate-forme indépendante et entièrement écrit en Java.
Il simplifie le téléchargement de fichiers à partir de One-Click-hébergeurs comme Rapidshare.com ou
Megaupload.com - non seulement pour les utilisateurs ayant un compte premium, mais aussi pour les utilisateurs
qui ne paient pas. Il propose le téléchargement en plusieurs flux parallèles, captcha
la reconnaissance, l'extraction automatique de fichiers et bien plus. Bien sûr, JDownloader
est absolument gratuit. En outre, beaucoup de "cryptage" lien sites sont
soutenu - donc vous suffit de coller le "crypté" liens et JD fait le reste.
JDownloader pouvez importer CCF, RSDF et les nouveaux fichiers DLC. 

%description -l es
JDownloader es de código abierto, independiente de la plataforma y escrita completamente en Java.
Se simplifica la descarga de archivos de One-Click-Hosters como Rapidshare.com o de
Megaupload.com - no sólo para los usuarios con una cuenta premium, sino también para los usuarios
que no pagan. Se ofrece la descarga en múltiples corrientes paralelas, captcha
el reconocimiento, la extracción automática de archivos y mucho más. Por supuesto, JDownloader
es absolutamente gratuito. Además, muchos "vínculo de cifrado" sitios son
el apoyo - por lo que acaba de pegar el "cifrado" vínculos y JD hace el resto.
JDownloader puede importar marco de cooperación, RSDF y los nuevos archivos de DLC.

%description -l pl
FlashGot to open source, niezależne od platformy i napisane w całości w języku Java.
To upraszcza ściąganie plików z One-Click-Hosters jak Rapidshare.com lub
Megaupload.com - nie tylko dla użytkowników posiadających konto premium, ale także dla użytkowników
którzy nie płacą. Oferuje pobieranie z wielu równoległych strumieni, captcha
uznanie, automatycznego pobierania plików i wiele więcej. Oczywiście, JDownloader
jest całkowicie bezpłatny. Dodatkowo, wiele "szyfrowanie link" miejsc są
wsparcie - tak po prostu wklej "zaszyfrowane" linki i JD zrobi resztę.
FlashGot może importować CCF, RSDF i nowe pliki DLC.

%description -l nl
JDownloader is open source, platform onafhankelijk en volledig geschreven in Java.
Het vereenvoudigt het downloaden van bestanden van One-Click-Hosters zoals Rapidshare.com of
Megaupload.com - niet alleen voor gebruikers met een premium account, maar ook voor de gebruikers
die niet betalen. Het biedt downloaden in meerdere parallelle stromen, captcha
erkenning, automatisch uitpakken van bestanden en nog veel meer. Natuurlijk JDownloader
is absoluut gratis. Daarnaast vele "link encryption" sites
ondersteund - dus je plakt de "gecodeerd" links en JD doet de rest.
JDownloader kunt importeren CCF, RSDF en de nieuwe DLC bestanden.


%prep
%setup -q -n JDownloader

%build

%install
rm -rf %{buildroot}
mkdir %{buildroot}
mkdir %{buildroot}/usr
mkdir %{buildroot}%{_datadir}
mkdir %{buildroot}%{_datadir}/%{name}
cp -R * %{buildroot}%{_datadir}/%{name}
cp %SOURCE1 %{buildroot}%{_datadir}/%{name}
cp %SOURCE2 %{buildroot}%{_datadir}/%{name}

# startscript
%__install -dm 755 %{buildroot}%{_bindir}
%__cat > jd.sh <<EOF
#! /bin/bash
cd %{_datadir}/%{name}
./jd.sh
EOF
%__install -m 755 jd.sh %{buildroot}%{_bindir}

chmod +x %{buildroot}%{_bindir}/jd.sh

# icon
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 %{buildroot}%{_datadir}/%{name}/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=jDownloader
Comment=jDownloader - Best downloader for Rapidshare and other file share archives
GenericName=jDownloader
Type=Application
Terminal=false
Exec=jd.sh
Icon=%{name}
Encoding=UTF-8
Categories=Network;P2P;X-MandrivaLinux-Internet-FileTransfer
EOF

%clean
rm -rf %{buildroot}

%post
# make the plugin world-writable
%__chmod 777 %{_datadir}/%{name}/plugins
%__chmod 666 %{_datadir}/%{name}/plugins/*


%files
%defattr(-,root,root)
%doc licenses/*
%{_bindir}/jd.sh
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}*.png

%changelog
* Sat Oct 11 2011 Archie <pclinuxos.ph at gmail.com> 0.9581-2pclos2011
- Rebuild for x86_64

* Tue Feb 15 2011 Slax <root@pclinux.in.rs> 0.9581-1pclos2009
- new version
- fixed gfx error

* Wed Mar 24 2010 Slax <root@pclinux.in.rs> 0.9579-1pclos2009
- new version
- opengl java fix

* Sun Sep 27 2009 Leiche <MeissSW01@aol.com> 0.83-2pclos2009
- add german synaptic decription translations (leiche)

* Sun Sep 27 2009 Slax <root@pclinux.in.rs> 0.83-1pclos2009
- initial pkg
